#
# spec file for package python-python-termstyle
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Weberhofer GmbH, Austria
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-python-termstyle
Version:        0.1.10
Release:        3.13
Summary:        Console colouring for python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/gfxmonk/termstyle
Source0:        gfxmonk-termstyle-%{version}.tar.bz2
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       python3-termstyle = %{version}.%{release}
Obsoletes:      python3-termstyle < %{version}.%{release}

%description
Termstyle is a simple python library for adding coloured output to
terminal (console) programs. The definitions come from ECMA-048,
the "Control Functions for Coded Character Sets" standard.

%prep
%setup -q -n gfxmonk-termstyle-%{version}
sed -i -e 's/#!\/usr\/bin\/env python//' termstyle.py

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Fri Dec  4 2015 bear454@opensuse.org
- adapt for python3
* Mon Jun  8 2015 dimstar@opensuse.org
- Update license tag to BSD-3-Clause.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jan 12 2012 jweberhofer@weberhofer.at
- renamed package to python-python-termstyle
- reformatted spec
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- don't need python-nose for packaging
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- initial checkin of version 0.1.10
